Subject: bootdisks package `generate_library' script and __start___libc_subinit

From: Ian Jackson <[email-masked]>
Date: Sun, 14 Jul 96 02:10 BST

I tried using this script and produced a library which always gives
the error:
ls: can't resolve symbol '__stop___libc_subinit'
ls: can't resolve symbol '__start___libc_subinit'
(for ls replace whatever binary I'm trying to use).

These symbols are used in set-init.o (inside libc5_pic.a) and never
defined anywhere; the shared /lib/libc.so.5 has it defined somehow.

Fudging this up has only managed to produce a library which makes the
program in question dump core.

I have libc5 and libc5-pic 5.2.18-9, ldso 1.7.14-4 and boot-floppies
1.1.1-9.

Ian.